<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="adminhome.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

    <header>
      <nav>
        <div class="container">
          <div class="nav-grid">
          <div class="logo">
            <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
          </div>
          <div class="fr">
            <ul class="menu">
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
              <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
              <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
              <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
            </ul>
          </div>
          </div>
        </div>
      </nav>
    </header>

    <section class="content">
      <div class="container">
        <div class="content-heading">
          <h1>Q&A Management</h1>
        </div>

        <div class="content-services">
          <div class="content-services-button">
            <button class="button" [routerLink]="['/admin/question/add']"><i class="fas fa-plus"></i> Add Question</button>
          </div>
          <div class="content-services-table">

            <table class="table table-borderless" >
              <thead class="table-heading">
                <tr>
                  <th scope="col" class="aligncenter">ID</th>
                  <th scope="col" class="aligncenter">Topic</th>
                  <th scope="col" class="aligncenter">Question</th>
                  <th scope="col" class="aligncenter">Detail</th>
                </tr>
              </thead>
              <tbody class="table-body">
                <tr *ngFor="let question of questions">
                  <td class="alignleft">{{question.id}}</td>
                  <td class="alignleft">{{question.topic}}</td>
                  <td [innerHTML]="question.question" class="Questionalignleft"></td>
                  <td class="aligncenter"><a [routerLink]="['/admin/question/details/', question.id]"><i class="far fa-arrow-alt-circle-right"></i></a></td> 
                </tr>
              </tbody>
            </table>
          </div>
        </div>

      </div>
    </section>

</body>
</html>


  
  
  
  
  
  
  
  
  
  
  
  
  
       
  
  
  